■改変案
・ロック回数をSSG側から規定する属性。
・タイトルセレクトにタブコントロールを追加して、
　タイトル一覧を許容できるスクロール量となる様分割する。
・タイトルセレクトの複数列化。
・スペシャルねこまんま57号へのコード変換機能。
　（最大値最小値指定だから、両方のコードが必要…？
　　ていうか、アドレスコーディングを展開するのってしんどそうだな…。）
・終端文字関連で、固定バイト数では判断せず、
　「終端文字でなくなれば次の要素開始」という解釈…必要？
・サーチ補正などをステップbyステップで行うウィザードモードについて思案中…。
	→アクセスした項目の現在値が、実際の値と違うか問う。とか。
・languageファイルに対応。リソースの言語切り替えを可能に。
　（となると、HowToSSGとかも英文で書かなあかんのやろな…我是很日本人。）
・アドレス補正の試作がおかしい（秋野日和さん報告）
・リモートエディット。
・スタイル定義ファイルに設定を保存し、レジストリにはそのフルパスを記録。
・メモリの特定部分をロード・セーブするシリアライズ項目。必要か…？
・属性の多重継承許可。
・桁単位のマスク機能を実現する属性。感覚的には「fff.??」のように、
　実数の小数点以下をマスクするなど。
・括弧と比較演算子を交えたアドレスコーディングの、演算子処理順序が不正？
・ロックチェックボックス等の文字列透過。


…etc
（その他ご意見・要望お待ちしています。基本的に思いつきで書いているだけなので、
　「それ、私も欲しいと思ってました」とかいう意見は着手のトリガーになりますので、
　「好きな人は見守るよりも声かけろ」の精神でお願いします(樽)。）
−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−−

■更新履歴
Version 1.0 (1999/2/27)
・とりあえず動く。

Version 1.1 (1999/3/1)
・ロック項目の書き換え周期を変更しても反映されないバグをfix。
・階層項目以外の、第一階層にある項目が表示されないバグをfix。
・toggleをtogleと書いていた(^^;)バカバグをfix。
・ログ先読み機能を追加。
・背景画像を使用可能にした。

Version 1.2(1999/3/18)
・電卓データにエディットボックス位置も記述できるようにした。
・パネルの位置・幅、電卓の位置を変更可能にした。
・電卓でint型以上の数値を入力したとき、警告を発するようにした。
・キーボードに対応。
・繰り返し命令をサポート。
・電卓画像に透過色を設定可能にした。（改良の余地あり）
・値の固定などの、項目名以外の文字も指定可能にした。
　（きつねのおめんさん、要望Thanks!）
・レジストリの記録場所を変更。

Version 1.3(1999/3/21)
・電卓項目で、負の値に書き換えるときに不具合が発生したバグをfix。
　（きつねのおめんさん、報告Thanks!）
・[creator]を[creater]と書いていた(TAT;)バカバグをfix。
　（る〜ぷさん、報告Thanks!）
・電卓項目の最大値と最小値を表示するようにした。
　（きつねのおめんさん、要望Thanks!）

Version 1.4(1999/3/24)
・メモ表示に使うフォントを変えられるようにした。
・電卓項目で、プロセス実行中に決定ボタンを押すとmin・maxが
　表示されなくなるバグをfix。
・パネルサイズ変更の際、ピクセル数を表示するようにした。

Version 1.5(1999/3/27)
・メモのスクロールバーを縦横にした(^^;)
・項目データの管理法をちょっと修正。
　（構文上のことなので、見た目には変化無し）
・toggle関連のバグをfix。
　（kaznさん、報告Thanks!）

Version 1.6(1999/4/8)
・toggle関連のバグをfix。
　（きつねのおめんさん、報告Thanks!）
・10進/16進変換時のバグをfix。
　（Kirovさん、報告Thanks!）
・デフォルトの画像がないときに、不完全終了していたバグをfix。
　（Kirovさん、報告Thanks!）

Version 1.7(1999/4/10)
・Repeat項目を追加。
　（きつねのおめんさん、要望Thanks!）
・カスタマイズフォームの構文を少し改変。
・メモリ書き換え部分の構文を結構改変。
　（構文上のことなので、見た目には変化無し）

Version 1.8(1999/4/11)
・タイトルをダブルクリックで選択可能にした。
　（きつねのおめんさん、要望Thanks!）
・電卓項目で負の値が入力できなくなった(^^;)バグをfix。
　（きつねのおめんさん、報告Thanks!）

Version 1.9(1999/4/20)
・タイトルをソートできるようにした。（自分でいうのもなんだけど便利だ(^^;))
・文字入力型の項目をサポート。

Version 2.0(1999/4/26)
・toggle項目選択時、ONの値でなければ有無を言わさずOFFの値にしていたのを修正。
　（きつねのおめんさん、要望Thanks!）
・タイトルセレクト時の処理を少し改変。
・電卓項目の値にsigned・unsignedを指定できるようにした。
　（Kirovさん、要望Thanks!）
・プロセス起動時でなくても項目のロックを可能にした。
・文字項目にエスケープシーケンス（\n,\t,\b,\\,\r,\0）を使えるようにした。
・SSG中の数値表記を１０進表記できる様にした。
　（Kirovさん、要望Thanks!）

Version 2.1(1999/5/2)
・toggle項目を文字（エスケープシーケンス含む）で記述できるようにした。
　（Kirovさん、べーえむさん情報Thanks!）
・電卓項目の「値の固定」で固定する値を、プロセス起動時はメモリ中から、
　プロセス未起動時はエディットボックスから所得するようにした。
　（みそさん、さりげなく要望Thanks!）
・プロセス未実行時＆値を固定しているときに、書き換える値を変更しても
　固定する値が切り替わらないバグをfix。、
　（べーえむさん、報告Thanks!）

Version 2.2(1999/5/11)
・文字項目関連のバグをfix。
・トグル項目関連のバグをfix。
・ロック関連の処理を少し改変。
・電卓の透過機能を強化！それに伴い電卓関連の処理も少し改変。
・パネルに画像を貼れるようにした。
　（これで電卓の透過機能も映える！）
・ヘルプを付けた。

Version 2.3(1999/5/18)
・文字項目（というかエスケープシーケンス）関連のバグをfix。
・logの記述法を少し改変。（ver2.4で使う機能のための前準備）

Version 2.4(1999/7/17)
・Reload後にキャンセルすると、不具合が生じるバグをfix。
・保持している整数型の変数をintからshort intに変更。
　（メモリ占有率がちょびっと減るかな？）
・電卓のカーソルドラッグ中の処理をちょっと改変。
・ロックした項目を、いちいち再描画せずに、枠を反転表示させることにした。
・それに伴い、ロック色を排除。まだ未対応のビットリスト項目色と置き換える。
・電卓項目で奇数バイトの値を入力したときに不具合が発生するバグをfix。
　（Kirovさん、六道さん、報告Thanks!）
・電卓項目に、リトルエンディアン・ビッグエンディアンを指定できるようにした。
・トグル項目のON/OFFの値を、"?"でマスクできるようにした。
　（Kirovさん、要望Thanks!）
・電卓項目が１６進表示の際、最大値・最小値・現在値の表示桁数を、
　実際に使用されているのバイト数に合わせるようにした。
　（Kirovさん、要望Thanks!）
・SSGを、下位フォルダまで検索するようにした。
・リストボックスに、横スクロールバーを付けた。
　（Kirovさん、要望Thanks!）

Version 2.5(1999/7/24)
・SSGを更新していると、読み込み時にエラーを出すバグをfix。
　（正確にはver2.4+でfix。）
・カスタマイズフォームをキャンセルで閉じたときに、電卓が透過するように
　指定していると、黒が自動的に透過されてしまうバグをfix。
・SSG作者名等を選択し、ウィンドウの×押して閉じるとでるバグをfix。
・値の読み込み、書き込み時に、ある特定の状況で出るエラーをfix。
　（蒼月さん、報告Thanks!）
・拡張子が".SSG"（大文字）でも読み込むようにした。
　（femtさん、要望Thanks!）
・一括電卓をサポート。

Version 2.6(1999/8/6)
・バンドル系の項目に offset オプションを指定して、
　アドレスをオフセットでも記述できるようにした。
　（Kirovさん、要望Thanks!）
・オフセット形式でアドレスを記述した子SSGファイルを用いて、
　コードを再利用出来るようにした（[replace]機能）。
　（Kirovさん、要望Thanks!）
・タイトルセレクトウィンドウのサイズを可変にした。
・常にウィンドウを再前面に表示出来るようにした。
・なんとなくver情報ウィンドウのアイコンを回転させてみる(^^;)
・２重起動を防止した。

Version 2.7(1999/8/12)
・コンパイラを Borland C++ Builder4 に変更。
・画面更新時、スクロールバーを頭に戻さないようにした。
・画面更新時の再描画を、背景色で塗りつぶさないようにした。
・[replace]を多段に（sscに[replace]を）使えるようにした。
・[adjustment]を用い、アドレス移動系のゲームにも暫定対応。
・電卓用のBitmapをDIB（デバイス非依存型）にした。
　（環境によっては、上手く透過されない場合があったため）
・ソートリストボックスを選択したときなどに、対応したタイトルを
　表の頭に表示されるようにした。

Version 2.8(1999/9/10)
・Splitterを用いて、カスタマイズウィンドウを出さなくても
　パネルサイズを変えられるようにした。
・負の値をから正の値へ繰り越したときに、バイトサイズを誤認識するバグをfix。
　（Kirovさん、報告Thanks!）
・アドレス補正機能を多少改変。
・ヘルプを加筆。
　（梅ごろもさん、質問Thanks!）

Version 2.9(1999/10/1)
・wordwrapオプション指定で、メモを折り返せるようにした。
・電卓画像のピクセルフォーマットを、デバイスと同じに指定。
　（256色の画像でも、そのときの色数がTrueColorならTrueColorで表示するようにした）
・文字列項目関連のバグをfix。
・各所をちょびっと最適化。
・SSG内の、対応ver情報（SSG for SpoilerAL ver 2.8【←ココ】）の方が、
　使用しているSpoilerALのverより新しいとき、警告を発するようにした。
　（verUpに気づかずに、古いSpoilerALを使っている人のため）
・電卓項目を、+でMax、/でMin自動入力にした。
　（ばってんさん、要望Thanks!）
・それに伴い、デフォルト電卓画像にもMin、Maxボタンを付加。
・アドレス補正に、ヒープ差補正を備えた…？
　ツリーイメージを、スクロールバーのスクロールに即応させた。
・バージョン情報に、URLを付加。
・バージョン情報のURL、メールアドレスのクリックで、
　各ショートカットの関連付けを起動するようにした。
・タイトル選択時、各リストボックス上にマウスを移動するだけで、
　そのリストボックスをアクティブにできるようにした。
　（インテリマウス使ってる人は、多少楽になったかもね）
・スプリッターでパネルをドラッグした際に、背景色・画像が描画されない
　領域が生まれるバグをfix。

Version 3.0(1999/10/26)
・PNG画像の読み込みをサポート。
・ついでに画像読み込みまわりの最適化。
・ウインドウを最大化して終了した場合、再実行時にうまく復元されないバグをfix。
・CLDファイルの大幅な拡張。
　（JKAさん、要望Thanks!）（Kirovさん、人柱役Thanks!）
・電卓の作り方を同梱。（HowToCLD.html 他の追加）
・頻出する処理の最適化による、全体的な速度向上。
　（体感できるレベルかどうかは、マシンスペックによるけどね。）
・[note][/note]を読み込んだあと、文頭にもどすようにした。
　（MOKKOさん、要望Thanks!）
・電卓の座標指定で、0,0,50,50とした場合、0,0,49,49のように、終端を1小さく
　認識しているバグをfix。
　（Kirovさん、報告Thanks!）
・トレーストグル・トレースリスト項目をサポート。
　（きつねのおめんさん、要望Thanks!）

Version 3.1(1999/11/05)
・電卓画像のボタン範囲に、除外矩形を指定できるようにした。
・電卓項目の決定時、値の表示に不具合が出るバグをfix。
・ついでに決定時に入力値をクリアするようにした。

Version 3.2(1999/12/13)
・JPEG画像の読み込みをサポート。
・電卓のラベルを廃止。直接描画するようにした。
　（せっかくだから電卓用のTImageも省いて、直接パネルに描こうかな…(^^;))
・実行中にパネル幅を変えたとき、一部透過されないところができるバグをfix。
・パネルの横幅を、電卓画像幅に合わせるボタンをつけた。
・除外矩形関連のバグをfix。
・電卓書式のタグは、小文字・大文字を区別しない設定にした（[Max]=[max]）
　（JKAさん、要望Thanks!）
・ダイアログ式アドレス補正に、文字列入力を装備した。
　（Kirovさん、要望Thanks!）
・「メモリ・プロセス」から、ファイルのver情報を所得出来るようにした。
・アドレス補正に、ver指定補正を備えた。
・アドレス補正で使うアドレスに、heapXを指定できるようにした。
・例：[adjustment]dialog,heap2,テスト,heap2,heap3,0x10
　（Kirovさん、要望Thanks!）
・アドレス補正値が見つかった際、タイトルバーに補正値を表示するようにした。
　（Kirovさん、要望Thanks!）

Version 3.3β(2000/01/01)
・インテリマウスのホイールで、ツリーイメージをスクロール可能にした。
・一括電卓書き込み時のバグをfix。
　（神音さん、報告Thanks!）
・電卓項目の表示文字を、値を挟めるように拡張。
・例：所持金[0](min:0,max:0)->所持金[0]万grc(min:0,max:0)
　（神音さん、要望Thanks!）
・toggleの繰り返しで、ぴったり数が合わないとエラーが出るバグをfix。
　（Excelさん、報告Thanks!）
・初期値や公差に縛られないダブルリスト項目（d_list）をサポート。
　（神音さん、要望Thanks!）
・バンドルリスト項目（b_list）をサポート。
　（神音さん、要望Thanks!）
・ビットリスト項目（bitlist）をサポート。
　（バイト判断ではなく、ビットが立ったか立たないかで、判別しているもの用）
・（にうさん、要望Thanks!）

Version 3.3(2000/02/27)
・アドレス補正時に補正値が負の時、エラーを出すバグをfix。
　（きつねのおめんさん！報告Thanks!）
・リスト項目が1バイトしか扱えないバグをfix。
　（神音さん、報告Thanks!）
・ビットリスト項目のバグをfix。
　（神音さん、報告Thanks!）
・メニューに「画像の再読込」を付けた(CLD作者用)
　（MOKKOさん、要望Thanks!）
・値の固定名の部分に""（空文字）を指定した場合、は「値の固定」を出すようにした。
・アドレス補正を何度も行えるようにした。
　（ふぶき　なるさん、要望Thanks!）
・アドレス補正に値選択式補正（[radio_calc]）を備えた。
　（ふぶき　なるさん、要望Thanks!）

Version 3.3+(2000/02/28)
・値選択式補正の補正値が±逆になっていたバグをfix。
　（ふぶき　なるさん、報告Thanks!）
・電卓項目で、最小値が負の値だと4バイト扱いになってしまうバグをfix。
　（神音さん、報告Thanks!）
・HowToSSGの誤記修正(^^;)
　（神音さん、報告Thanks!）

Version 3.3++(2000/03/03)
・電卓項目で、負の値を扱う際に起こるバグをfix。
　（神音さん、報告Thanks!）
・ダブルリスト項目で書き込む際、-1が書き込まれてしまったバグをfix。
　（神音さん、報告Thanks!）
・HowToSSGの誤記修正(^^;)
　（神音さん、報告Thanks!）
・Lhasaなどの解凍ツールでは、空のフォルダは生成されないことが判明。
・JKA-dbさんの助言に従い、テキストファイルを置いておくことにした。
　（HARUさん、JKA-dbさん、けーすけさん、霧都さん、刹那さん、色々Thanks!）

Version 3.4(2000/03/18)
・電卓項目で、１バイトのunsignedを扱うときに起こるバグをfix。
・ダイアログ式アドレス補正に、アドレス飛ばしをサポートした。
・ダブルリスト項目関連のバグをfix。
　（神音さん、報告Thanks!）
・ビットリスト項目関連のバグをfix。
　（神音さん、報告Thanks!）

Version 3.5(2001/06/20)
・SSLファイルによる一括管理のサポート。
　（神音さん、要望Thanks!）
・[adjustment]属性を括り式に。
　（神音さん、要望Thanks!）
・電卓項目における前置捕捉文字の省略をサポート。
　（神音さん、要望Thanks!）
・[adjustment]searchにおいて、補正値をアドレス差違によって
　振り分け記載できるようにした。
　（神音さん、要望Thanks!）
・ダブルリストの拡張。
　（神音さん、要望Thanks!）
・ダブルトグルをサポート。
　（神音さん、要望Thanks!）
・検索ボックスを装備。
　（HARUさん、要望Thanks!）
・「値の固定」チェックボックスを非表示可能に。
　（るみさん、要望Thanks!）
・CRC補正をサポート。
・アドレス補正の試作をサポート。
・エスケープシーケンスの改良。
・一括電卓項目の書式を改変。
・アドレスコーディングをサポート。
・バイト列での相対ジャンプをサポート。
・バイト列の条件分岐をサポート。
・トレース系を廃止してトレース項目をサポート。
・ファンネルライト属性をサポート。
・[io_fep]属性をサポート。
・置き換え[repeat]をサポート。
・[size]属性をサポート。
・多すぎ。その他細かい書式の変更はHowToSSGを参照。

Version 3.6(2001/07/03)
・ツリーをインテリマウスのホイールに対応。
　（すてらさん、要望Thanks!）
・SSC内でb_toggleを使用する際に、[replace]オフセットが二重に加算される
　バグをfix。それに関連して、一括系及びダブル系におけるリスト内アドレスの
　アドレスコーディング対応他。
　（REDCATさん、すてらさん、報告Thanks!）
・キーボード操作時、ディレクトリ開閉後も位置を追従。
　（風月さん、要望Thanks!）
・offsetのデフォルト値に起因するバグをfix。
　（源四郎さん、すてらさん、REDCATさん、デギン・ソド・ザビさん、報告Thanks!）
・バイト列の頭にsを付けての文字列指定がおかしかったバグをfix。
　（DAMさん、報告Thanks!）
・ツリー描画が化けるバグをfix。
　（Kongさん、るみさん、Gakuさん、報告Thanks!）
・電卓画像及びパネル画像変更時の即時反映を確実化。
　（風月さん、報告Thanks!）
・アドレスコーディングの[: :]に、バイト指定([: :2]など）を可能に。
　（REDCATさん、要望Thanks!）
・キーボード操作周りを修正。
　（風月さん、報告Thanks!）
・ツリー描画フォントのカスタマイズ対応。
・カスタマイズウィンドウでの画像指定の際、「使用する」にチェックをしたときに、
　パスが記載されているなら、即時そのパスで読み込むよう、改良。
・二重起動の防止。

Version 3.7(2001/07/15)
・[involve]命令のサポート。
　（神音さん、要望Thanks!）
・エンドウィズ属性のサポート。
　（神音さん、要望Thanks!）
・値の固定チェックボックスが正常に表示されないバグをfix。
　（REDCATさん、報告Thanks!）
・バイト列のs指定時、\0をNULLに変換しなかったバグをfix。
　（DAMさん、報告Thanks!）
・再度、キーボード操作周りを修正。

Version 3.8(2001/07/22)
・極前面機能のサポート。
　（[表示(V)]->[極前面機能(G)]。ALT+PrintScreenで描画のON/OFF。
　　[メモリ・プロセス(M)]->[設定(T)]から監視間隔変更可。）
・キーボード操作を少々修正。スペースキーで値の固定切り替え。

Version 3.9(2001/08/05)
・極前面機能の修正。
　（ALT+PrintScreenで描画のON、PrintScreenのみで描画のOFF。
　　トグルが繰り返されるのを防ぐ）
・キーボード操作の修正。
・[involve]命令の修正。
・旧verのログ使用時は、ログを再構成させるようにし忘れていたので、した。
・アドレス補正の試作は、ファイルを作成しない方法に改良。
・[version]の廃止。（というか、存在を忘れていた）
・スクリプト読み込み直後のパネルは、メモを表示させるようにした。
・[メモリ・プロセス(M)]->[対象プロセスの置き換え(R)]をサポート。
・前回終了時の電卓画像が読み込めない場合、EXEと同フォルダ内にある（はずの）
・デフォルト電卓を読み込まなかったバグをfix。
　（syuyaさん、デギン・ソド・ザビさん、報告Thanks!）
・デフォルトファイルをDefaultフォルダへ移動。
・スプラッシュ画面をサポート。
・スプラッシュ定義ファイルの書き方を、HowToCLDフォルダに新規内包。
・バイト列中での絶対ジャンプ( *> )をサポート。
　（ハイルさん、要望Thanks!）
・ダブル系の処理リスト中で、行頭に@があると、以降を処理すべき
　チェインファイル名とみなす機能を追加。
　（KEIさん、要望Thanks!）
・[io_fep]使用電卓項目で、値入力実行直後の現在値表示が、
　メモリ上の値になっているバグをfix。
　（REDCATさん、報告Thanks!）

Version 4.0(2001/08/20)
・[replace]のオフセットアドレスに、アドレスコーディングを使用可能にした。
　（REDCATさん、報告Thanks!）
・ダイアログ補正において、補正値入力が無効だったバグをfix。
　（THさん、報告Thanks!）
・タイトル一覧を、リストではなくグリッドで保持するように変更。
　（メモリの効率化＆速度向上）
・ビットリストなど、マルチセレクト式はチェックリストボックスにした。
　（たーちゃんさん、要望Thanks!）
・スプラッシュウィンドウは、クリックで最前面を解除するようにした。
　（並行してやってるとき邪魔なので。）

Version 4.1(2001/09/16)
・名称検索ウィンドウの細かい修正。
・アドレス補正を行う際、初回の選択項目は補正されなかったバグをfix。
・一括電卓項目において、16進表現が適切でなかったバグをfix。
　（アイゼナッハさん、報告Thanks!）
・極前面機能のルーチンを、タイマー式ではなく
　アイドル式(可能な限り行うループ)に変更。
・有効条件[enabled]属性の実装。
　（KEIさん、要望Thanks!）
・[::1]や[::2]など、4バイト未満のポインタ所得がおかしかったバグをfix。
・ある値を固定して、その後にアドレス補正によるサーチを行うと、
　サーチが正常に行われないバグをfix。
　（Kongさん、報告Thanks!）
・上記の兼ね合いで、[メモリ・プロセス(M)]->[値の固定を無効にする(L)]を実装。
　（ただし、アドレス補正によるサーチが終了すると、強制的に有効となる。
　　裏を返せば、サーチ中は無効になるということ。）
・エディット形式の入力欄を使う電卓画像において、
　入力欄にフォーカスがあるとキー操作を行えないバグをfix。
　（ポンの字さん、報告Thanks!）

Version 4.2(2001/10/05)
・コピー項目を実装。
　（belshinさん、要望Thanks!）
・ビットリスト項目の、空行はマスクできるようにした。
　（REDCATさん、要望Thanks!）
・バイト列中でビットを展開(*_)して、ビット単位のマスクも可能にした。
　（belshinさん、要望Thanks!）
・マルチセレクト型の項目を、チェックリストボックスからリストボックスに戻し、
　内部的にチェック情報を持たせることで、CtrlやShiftを使った選択を可能にし、
　それに絡んだポップアップメニューを改良。
・[replace]のオフセット加算の順序がおかしかったバグをfix。
　（KEIさん、報告Thanks!）
・一括電卓項目で、0を入力できなくなっていたバグをfix。
　（Kongさん、報告Thanks!）
・タイトルウィンドウにおいて、プロセス名などを表示するチップヘルプを、
　一定時間待機後から移動毎に表示するよう変更した。

Version 4.3(2001/11/05)
・文字列項目の、「NULL文字付加」オプションを「終端文字」オプションに変更。
　（デギン・ソド・ザビさん、要望Thanks!）
・サーチ及び各項目のメモリアクセス関連で、ちょっとややこしいいじり方をした。
・バグ生んでいたら御免です。
・コピー項目で、256バイト以上を使用するとおかしくなるエラーをfix。
　（Kongさん、報告Thanks!）
・アドレス補正値を複数から選択できるよう、サーチ(補正)関連を改変。
　（Kongさん、要望Thanks!）
・エンディアン反転演算子([~ ~])の実装。
・ビットリスト項目の空行マスク時、書き込みが出来なかったバグをfix。
　（神音さん、報告Thanks!）
・上記と同じ原因で、ビット展開時のマスクもおかしかったのでfix。
・バイト列中に、その項目に適用されているアドレス補正値を埋め込む
　メタキャラクタ($_)を実装。
　（Kongさん、要望Thanks!）

Version 4.4(2001/11/18)
・コピー項目で、256バイト以上を使用するとおかしくなるエラーを再fix。
　（Kongさん、報告Thanks!）
・ビットリスト項目の空行（マスクビット行）は、表示しないようにした。
　（神音さん、要望Thanks!）
・$_命令の削除。
・バイト列中に、アドレスコーディングを埋め込むメタキャラクタ($x)を実装。
・チェインファイル中に@で指定した処理ファイルが、書き込み時に処理されない
　だけでなく、お門違いの「Can't Write Memory!」エラーを出すバグをfix。
・ダブルトグル項目で、繰り返し指定のOFF値が繰り返されていなかったバグをfix。
・繰り返し指定のあるチェインファイル等に、[replace]を絡めると最悪
　フリーズするバグをfix。
　（REDCATさん、デギン・ソド・ザビさん、報告Thanks!）

Version 4.5(2001/12/13)
・開閉情報やロック値など、項目の設定を保存・復元する機能をサポート。
　（國松さん、要望Thanks!）
・対象プロセスが存在しない状態で変更を行うとき、いちいち
　プロセスオープンエラーを出していたが、値の固定を行うときに面倒なので、
　出さないように変更。
・サーチ属性等の範囲値(Start,Min,Max)にアドレスコーディングを可能にし、
　通常のアドレスでもheapNやmoduleNを使用可能にした。
　（KEIさん、要望Thanks!）
・iと1を書き間違えるという素敵すぎるミスでビットリストのマスクが
　異常だったバグをfix。
　（神音さん、報告Thanks!）
・繰り返し指定の可能な項目で、繰り返しを行った際の
　終端アドレスがおかしくなったバグをfix。
　（REDCATさん、報告Thanks!）
・タイトルウィンドウに、「初めて使う方へ」ボタンをつけた。

Version 4.6(2002/01/13)
・前verでfixできたと思っていたビットリストのマスクが、
　実は未コンパイルだったので、コンパイル（￣▽￣；。
　（Takeさん、報告Thanks!）
・ダブルリスト項目で、値を直接羅列した場合に正しく読み書きできないバグをfix。
　（KEIさん、REDCATさん、報告Thanks!）
・電卓画像で、ボタンの範囲が隣接している場合に
　正しくキーボード入力が行われないバグをfix。
　（風月さん、報告Thanks!）
・電卓項目、一括電卓項目、トグル項目、一括トグル項目、文字列項目に対して
　サーチ補正（及びダイアログ補正）を行う場合、値のプレビューを行えるようにした。
・アドレス補正の試作が、正常に動作しなかったバグをfix。
・サーチ関連の細かいバグをfix。
・対象プロセスが稼働していない状態で、ダブルトグル/ビットリスト項目を
　選択すると、エラーが発生するバグをfix。
　（REDCATさん、デギン・ソド・ザビさん、報告Thanks!）
・極前面機能等の説明を、ヘルプに加筆した。

Version 4.7(2002/02/13)
・まだfixできていなかったビットリストのマスクバグを、たぶん潰せたと思う。
　（Takeさん、報告Thanks!）
・検索間隔が1以外のときに、前方サーチが失敗するバグをfix。
　（Kongさん、報告Thanks!）

Version 4.8(2002/03/18)
・ログファイル名が、「SpoilerAL.log」ではなく
　「SpoilrAL.log」になっていたのを修正。
・SSGの項目に対する読み書きのソースコードを、多態性を利用するよう修正。
・極前面機能のON/OFFに利用するキーを、変更できるようにした。
　（zeekさん、要望Thanks!）
・タイトルセレクトへ移行する際、「グリッドインデックスが〜」といった
　エラーメッセージがでていたのを修正。
　（dahliaさん、報告Thanks!）
・WindowsXPに対応させたかもしれない。（もれなくバグを生んだかもしれない）
・アドレスコーディング中に、モジュール開始アドレス(MName::)と
　ヒープ開始アドレス(HNumber::)を埋め込めるようにした。
　（KEIさん、要望Thanks!）

Version 4.9(2002/05/18)
・アドレス補正の常用化に向けてプログラム構造を手直し。
・該当したアドレス補正値を保持しておき、切り替えて選択できるようにした。
・階層の開閉にかかる時間を短縮。
・ダイアログ補正でも、サーチ補正同様、補正値の複数指定を許可した。
・アドレス補正の試作に使う項目を、任意で選択できるようにした。
・アドレス補正の試作に使う項目を指定する、[adjust_check]属性を実装。
・アドレスジャンプ等を使用したサーチのバグをfix。
・ウィンドウが画面外に出て終了した場合、再起同時にセンタリングするようにした。
・繰り返し記法における、バイト列中のビット展開が正常に動かないバグをfix。
　（REDCATさん、報告Thanks!）
・[repeat]に、ループ値のファイル指定を可能にした。
　（REDCATさん、要望Thanks!）
・ダイアログ補正に使用可能な項目に、一括系項目とダブルリスト項目を追加した。

Version 5.0(2002/07/22)
・コンパイラをBorland C++ Builder6に変更。
・メモリアクセス関連の手直し。（もれなくバグを生んだかもしれない）
・ガイド機能を付けた。
・極全面機能の修正。
・SSG検索・解析速度の向上。
・サーチ関連のバグ修正。
・その他細かいバグ修正と速度向上。

Version 5.1(2002/08/22)
・サーチ補正及びダイアログ補正における、サーチ範囲の最小値最大値開始値を、
　スクリプト読み込み時ではなく、必要毎に解析し直すように変更。
　（REDCATさん、報告Thanks!）
・実数電卓項目（[f_calc]）をサポート。　※ただし、入力上は小数点切り捨て。
　（KEIさん、要望Thanks!）
・サーチ時の頻繁な変数参照を必要時のみ行うよう限定し、サーチ速度を向上。
　（belshinさん、報告Thanks!）

Version 5.2(2002/11/30)
・バイト列のビット展開命令(*_)が正常に動作しないバグをfix。
　（DAMさん、報告Thanks!）
・サーチウィンドウのプログレス表示がおかしくなるときがあるバグをfix。
・項目ツリーの描画をイメージではなくグリッドに変え、メモリの節約と速度向上。
・ソースコード中の、アクセス指定子を洗い直し。
・不要なローカル変数の除去。
・サーチ速度の向上。
・サーチ範囲表示ラベルのクリックで、範囲変更可能に。
・絞り込みサーチボタンを追加。
・サーチ関連のヘルプに加筆。
・一つのスクリプトで扱う対象プロセス名([process])を、複数指定可能にした。

Version 5.3(2002/12/22)
・アドレスネーミング（項目名のメモリ内所得）に対応。
・リスト抽出機能（複数行アドレスネーミング）のサポート。
　（REDCATさん、要望Thanks!）
・識別情報の自由定義をサポート。（例：“[distinction]発売日=2002/12/25”）
　（秋野日和さん、要望Thanks!）
・項目ツリー上でマウスホイールを回転させると挙動がおかしいバグをfix。
　（Excelさん、報告Thanks!）
・[repeat]置き換え命令で、ワードリピート機能をサポート。
　（REDCATさん、要望Thanks!）
・ADJファイルの[calc]命令などを[input]命令に統合し、
　[subject]と同じ感覚で記述できる様に改変し、リスト項目他に新規対応。
　（過去の構文もまだ使えますが、できる限り移行されるようお願いします。）
・項目(TSSGSubject)内関数をSSG管理体(TSSGCtrl)内へ移動させ、
　項目数に比例する関数アドレスを一本化。メモリの効率化を図った。
・細かいバグfixと文章表現の変更。

Version 5.4(2003/01/21)
・サーチや極前面処理を別スレッドで動作させ、速度と安定性を向上。
・プロセスアクセス関連のリファクタリング。
・極前面機能関連の細かいバグfix。
・[distinction]定義がログに保持されないバグをfix。
　（秋野日和さん、報告Thanks!）
・タイトル選択時、キーやタイトルを確実に全部表示できるよう、
　フォントサイズ等を調整。
　（秋野日和さん、報告Thanks!）
・一括実数電卓項目（[bf_calc]）をサポート。
・タイトル/名称検索の際、半角カナと全角カナを同一視できていないバグをfix。
・バイト列における絶対ジャンプの書式を、「*>」から「*:」へ変更。
・バイト列における条件分岐(*{::*})の書式を、(*<::*>)に変更。
・バイト列における既存の条件分岐は、経路分岐にあたるものなので、
　「条件付き置換」を実現する構文(*{::*})をサポート。
　（DAMさん、要望Thanks!）
・アドレスネーミングにおける文字列の連結('+')をサポート。
　（「_mem,…'+'の部下は'+'_mem,…」の様に使う）
・ガイドモードを拡張し、「初心者/通常使用/SSG作者」に区分。
・電卓処理に、[.]入力をサポート。
・電卓画像の、小数点対応をサポート。
・階層項目に、下位項目への値の一括指定機能をサポート。
　（下位項目全てが同種の項目で、サイズ等のオプションも同一であることが条件）
・レジストリに保持すべき設定と、ファイル書き出しが有効な設定を切り分けた。
　（フォント設定などは、save\default.txtに記録されます。当然、
　　このファイルを入れ替えることで、表示スタイルを切り替えることも可能です。）
・プロセス名に、ワイルドカード指定をサポート。
　（アリスソフトならば、[process]SYSTEM??.EXEであらかた大丈夫）

Version 5.41(2003/01/23)
・アドレスコーディング絡みのバグをfix。
　（ぬさん、KEIさん、報告Thanks!）
・メニューに利用者モードの切り替えを追加。
・現在値の表示に暫定対応。
　（現状では、アドレス補正が必要な場合、項目を表示するだけで
　　サーチモードに移行してしまいます）

Version 5.5(2003/02/02)
・タイトルセレクトウィンドウで「SSGファイルの場所」を表示・変更できるようにした。
・SSG作者モードよりさらに細かい処理状況を得られるSSGデバッグモードを選択可能に。
・電卓項目のアクセスに成功していても、現在値表示が[?]になるバグをfix。
・特定条件下でツリー選択時、二度押ししたような状態になるバグをfix。
・メモリサーチ中のジャンプ等が正常に作用しなかったバグをfix。
・ダイアログアドレス補正時の入力対象がずれるバグをfix。
・サーチが機能していなかったバグをfix。
　（秋野日和さん、報告Thanks!）
・項目ツリーの背景領域まで描画する様にした。
　（REDCATさん、要望Thanks!）
・項目ツリーの描画バグをfix。
　（REDCATさん、報告Thanks!）
・Defaultファイルが欠けていた場合、その旨を明確に通知させた。
・電卓画像発見不能時のエラー処理を改変。
・補正値の自動保存関連の細かい修正。
・レジストリに保持する設定とファイルに保持する設定を一部見直し。
・プロセスのワイルドカード指定が正常に動作しないバグをfix。
　（ぬさん、報告Thanks!）
・バイト列の条件付き置換命令のバグをfix。
　（DAMさん、報告Thanks!）
・バイト列におけるビット展開のバグfix。
　（DAMさん、報告Thanks!）
・アドレスコーディングのバグfix。
　（ぬさん、報告Thanks!）
・アドレスコーディングにファイル指定をサポート。
　（ぬさん、要望Thanks!）
・アドレスコーディングに一時変数機能をサポート。
　（「_ [:0x400000:]+0x40 => tmp;  $tmp+0x20」の様に、構文を;で分割し、
	代入側で=>変数名、参照側で$変数名として使う。なお、$Valは予約語変数）
　（ぬさん、要望Thanks!）

Version 5.51(2003/02/04)
・マスクされたビットリスト項目が二つ以上ある場合、最後のものしか正常に
　動作しないバグをfix。
　（ぬさん、報告Thanks!）
・アドレスコーディングに、ビットごとの演算子(&^|)をサポート。
・分割項目をサポート。
　（風月さん、要望Thanks!）
・サーチウィンドウの解説が、F1キー押しても消えないバグをfix。
　（秋野日和さん、報告Thanks!）

Version 5.6(2003/02/23)
・前verまではモジュール情報をスクリプト読み込み時にのみ所得していたが、
　参照時に必要に応じて再リストアップするよう修正。
　（KEIさん、報告Thanks!）
・タイトルウィンドウの検索ボックス等が見えなくなる場合に自動補正させた。
　（小熊さん、報告Thanks!）
・ダイアログ補正画面のガイド表示状態を保持できるようにした。
　（秋野日和さん、要望Thanks!）
・タイトル検索ボックス上でも、識別情報のヒント表示を行うようにした。
・抽出リストが正常に動作しないバグをfix。
・条件付き置き換え命令の偽処理式がない場合に、
　真偽の処理バイト数が一致しないバグをfix。
　（KEIさん、報告Thanks!）
・繰り返しバイト列に於いて、展開したバイト列の合計サイズが、
　繰り返すバイト列の合計サイズで割り切れる場合、正常に動作しないバグをfix。
　（ぬさん、報告Thanks!）
・アドレスネーミングにモジュールアドレス演算子が含まれているとき、
　スクリプト展開時にエラーが出るバグをfix。
　（KEIさん、報告Thanks!）
・リスト項目のファンネルライトが正常に動作しないバグをfix。
　（ぬさん、報告Thanks!）
・アドレスネーミングに、numオプションをサポート。
　（ぬさん、要望Thanks!）
・ログファイルの頭にスクリプト数等を記録し、事前reserveによって
　メモリ再確保のオーバーヘッドを削った（要するに起動が速くなった）。
・ダイアログ補正に実数電卓系の項目をサポート。（[input]を使用して下さい。）
・ADJファイル中でも、[size]や[io_fep]などの属性指定をサポート。
　（[input]項目に属性指定できます。）

Version 5.7(2003/03/18)
・ちょっとしたメモリリークをfix。
・繰り返し式のバイト列において、終端アドレスまで書き込むよう仕様確定。
・項目設定の保存・読み出しの不具合修正。
　（ぬさん、報告Thanks!）
・「アドレス補正の試作」は、全ての項目を使用対象として
　分かるものだけ入力する形に変更。
・モジュールの再走査に伴うバグをfix。
　（KEIさん、報告Thanks!）
・バイト列の条件付き置換命令のバグをfix。
　（KEIさん、報告Thanks!）
・トグル系の繰り返し処理において、[replace]等を絡めると終端アドレスが正常に
　機能しないバグをfix。
　（REDCATさん、秋野日和さん、報告Thanks!）
・階層項目が連続した場合に正常に表示できないバグをfix。
　（REDCATさん、報告Thanks!）

Version 5.8(2003/04/13)
・下位項目の一括書き換えにおけるバグをfix。
　（秋野日和さん、報告Thanks!）
・ダイアログ補正において、値を決定できなかったバグをfix。
　（Excelさん、StarAtlasさん、風月さん、報告Thanks!）
・メモリの読み込み（比較）処理が正常に行われていなかったバグをfix。
　（REDCATさん、報告Thanks!）
・ヘルプにSSGの導入方法について追記。

Version 5.9(2003/05/12)
・アクセス不可のメモリ領域を簡易的にスキップさせ、サーチ速度を向上。
・サーチし直しが出来ないなど、サーチウィンドウのツールボタンが正常に
　動作しないバグをfix。
・プロセス追加ウィンドウにおける、NT/XP系でのフルパス所得不備を修正。

Version 6.0(2003/05/31)
・操作用コントロールと情報表示コントロールを、タブで切り分けた。
・下位項目一括書き換え可否属性[child_rw]をサポート。
　（Excelさん、要望Thanks!）
・注意事項属性[caution]をサポート。
　（Excelさん、要望Thanks!）
・同SSG同タイトルのスクリプト間での切り替えがおかしかったバグをfix。
　（秋野日和さん、報告Thanks!）

Version 6.1(2003/06/30)
・下位項目一括書き換え可否属性は、通常OFF扱いになるよう変更。
　（REDCATさん、Excelさん、要望Thanks!）
・[caution]属性にwordwrapオプションをサポート。
　（Excelさん、要望Thanks!）
・マスク値が正しく処理されないバグをfix。
・CRC値の計算が正しく動作しないバグをfix。
　（ぬさん、報告Thanks!）
・1/2バイトのsigned値を、負の値でもunsignedとして表示してしまうバグをfix。
　（ぬさん、報告Thanks!）
・補正値の該当値と採用履歴を切り替えるタブを配備。
　（秋野日和さん、要望Thanks!）
・パネル画像が正常に描画されないバグをfix。
